module.exports = {
    port: 8785,
    enableHTTPS: true,
    log: {
        log4js: {
            appenders: {
                console: { type: "console" },
                errorFile: { type: "file", filename: "campla-lernstick-bridge.log", maxLogSize: 500000 },
                auditFile: { type: "file", filename: "campla-lernstick-bridge-audit.log", maxLogSize: 500000 },
                accessFile: { type: "file", filename: "campla-lernstick-bridge-access.log", maxLogSize: 500000 }
            },

            categories: {
                default: { appenders: ["errorFile", "console"], level: "debug", maxLogSize: 500000 },
                access: { appenders: ["accessFile"], level: "info", maxLogSize: 500000 },
                audit: { appenders: ["auditFile"], level: "info", maxLogSize: 500000 }
            }
        },
        syslog: {
            enabled: false,
            target: "127.0.0.1",
            options: {
                syslogHostname: "lernstick",
                transport: "udp",
                port: 514,
                appName: "CamplaLernstickBridge"
            }
        }
    },
    certificate: {
        key: "/usr/share/campla-lernstick-bridge/src/cert/campla-lernstick-bridge-key.pem",
        cert: "/usr/share/campla-lernstick-bridge/src/cert/campla-lernstick-bridge-cert.pem",
        ca: "/usr/share/campla-lernstick-bridge/src/cert/lernstick-ca.cert.pem"
    },
    services: {
        LernstickConnector: {
            camplaCoreApiUrl: "https://campla.adm.ds.fhnw.ch/rest/instances/bridge",
            validationJSONSchemaPath: "/usr/share/lernstick-rdp-exam/exam-conf-schema.json",
            hardwareInfoPath: "/tmp/campla-lernstick-hwinfo.json",
            examinationStarterPath: "/usr/bin/lernstick-rdp-start-exam",
            examinationFileTargetDirectoryPath: "/usr/share/campla-lernstick-bridge",
            examinationFilename: "exam.zip",
            validationPublicKeyPath: "/usr/share/lernstick-rdp-exam/intermed-exam-ca.pubkey",
            temporaryDirectory: "/tmp"
        },
        Events: {
            enabled: true,
            eventsPort: 8786
        }
    }
};
