/**
 * @namespace Routes
 * @description: Includes all defined routes of the application
 */
module.exports = {

    /**
     * @memberof Routes
     * @typedef {Controller} ExaminationController
     * @description All parameters of given actions are documented here: {@link ExaminationController}
     */
    'post /examination': "ExaminationController.create | AuthenticatedClient",
    'put /examination/start': "ExaminationController.start | AuthenticatedClient",
    'put /examination/stop': "ExaminationController.stop | AuthenticatedClient",
    'get /examination/status': "ExaminationController.getStatus | AuthenticatedClient",

    /**
     * @memberof Routes
     * @typedef {Controller} DocumentsController
     * @description All parameters of given actions are documented here: {@link DocumentsController}
     */
    'get /documents/:id': "DocumentsController.download | AuthenticatedClient",
    'get /documents': "DocumentsController.list | AuthenticatedClient",

    /**
     * @memberof Routes
     * @typedef {Controller} LMSController
     * @description All parameters of given actions are documented here: {@link LMSController}
     */
    'post /lms/moodle/hashurl': "LMSController.hashMoodleURL | AuthenticatedClient",

    /**
     * @memberof Routes
     * @typedef {Controller} HardwareController
     * @description All parameters of given actions are documented here: {@link HardwareController}
     */
    'get /hardware/status': "HardwareController.getStatus | AuthenticatedClient"

};

