const LogHelper = require("../helpers/LogHelper.js");

/**
 * @openapi
 * components:
 *   parameters:
 *      Identifier:
 *        in: path
 *        name: id
 *        required: true
 *        schema:
 *            type: string
 *        description: Identifier
 *   responses:
 *      BadRequest:
 *          description: Actions is invalid or not allowed
 *      Unauthorized:
 *          description: Request is unauthorized
 *      Forbidden:
 *          description: Access to resource is forbidden
 *      NotFound:
 *          description: Resource not found
 *      Conflict:
 *          description: Resource already exists
 *      PreconditionFailed:
 *          description: Validation failed
 *      ServerError:
 *          description: Server error
 */


/**
 * Abstract controller with CRUD operations
 */
class AbstractController {


    /**
     * Create a abstract controller
     */
    constructor(){
        this._log = this._log.bind(this);
    }

    _log(){ return LogHelper.getInstance().getLogger(); }
}

module.exports = AbstractController;
