const LogHelper = require("./helpers/LogHelper.js");
const Api       = require("./app/Api.js");

const path      = require("path");

global.WORKING_DIRECTORY = __dirname.replace(`${path.sep}src`, "");

process.chdir(__dirname.replace(`${path.sep}src`, ""));

process.on("uncaughtException", err => {
    LogHelper.getInstance().getLogger().fatal(err);
    process.exit(1);
});

process.on("unhandledRejection", (reason, promise) => {
    LogHelper.getInstance().getLogger().fatal(`Unhandled rejection at ${JSON.stringify(promise)}, reason: ${reason}`);
    process.exit(1);
});

try {
    new Api().start();
} catch (err) {
    LogHelper.getInstance().getLogger().error(err);
}
